=== modified file 'ChangeLog'
--- ChangeLog	2006-08-15 18:59:46 +0000
+++ ChangeLog	2006-08-15 20:26:53 +0000
@@ -1,5 +1,8 @@
 2006-08-15  Szilveszter Farkas <Szilveszter.Farkas@gmail.com>
 
+    * olive/frontend/gtk/menu.py: upgraded according to the OliveDialog API
+      changes; HIGify; load proper icons
+    * olive.glade: Close button should be the default on the Informations window
     * olive.glade: added View menu
     * olive/frontend/gtk/handler.py: implement the signal handlers
     * olive/frontend/gtk/__init__.py: connect the signals

=== modified file 'olive.glade'
--- olive.glade	2006-08-15 18:59:46 +0000
+++ olive.glade	2006-08-15 20:26:53 +0000
@@ -52,7 +52,7 @@
 		      <signal name="activate" handler="on_menuitem_add_files_activate" last_modification_time="Fri, 21 Jul 2006 11:38:39 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image214">
+			<widget class="GtkImage" id="image220">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-add</property>
 			  <property name="icon_size">1</property>
@@ -73,7 +73,7 @@
 		      <signal name="activate" handler="on_menuitem_remove_file_activate" last_modification_time="Fri, 21 Jul 2006 13:54:07 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image215">
+			<widget class="GtkImage" id="image221">
 			  <property name="visible">True</property>
 			  <property name="stock">gtk-remove</property>
 			  <property name="icon_size">1</property>
@@ -233,7 +233,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_pull_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image216">
+			<widget class="GtkImage" id="image222">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">pull16.png</property>
 			  <property name="xalign">0.5</property>
@@ -253,7 +253,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_push_activate" last_modification_time="Mon, 17 Jul 2006 08:52:48 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image217">
+			<widget class="GtkImage" id="image223">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">push16.png</property>
 			  <property name="xalign">0.5</property>
@@ -279,7 +279,7 @@
 		      <signal name="activate" handler="on_menuitem_branch_commit_activate" last_modification_time="Mon, 17 Jul 2006 08:53:37 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image218">
+			<widget class="GtkImage" id="image224">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">commit16.png</property>
 			  <property name="xalign">0.5</property>
@@ -327,7 +327,7 @@
 		      <signal name="activate" handler="on_menuitem_stats_diff_activate" last_modification_time="Thu, 03 Aug 2006 11:35:30 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image219">
+			<widget class="GtkImage" id="image225">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">diff16.png</property>
 			  <property name="xalign">0.5</property>
@@ -347,7 +347,7 @@
 		      <signal name="activate" handler="on_menuitem_stats_log_activate" last_modification_time="Thu, 03 Aug 2006 11:35:43 GMT"/>
 
 		      <child internal-child="image">
-			<widget class="GtkImage" id="image220">
+			<widget class="GtkImage" id="image226">
 			  <property name="visible">True</property>
 			  <property name="pixbuf">log16.png</property>
 			  <property name="xalign">0.5</property>
@@ -5146,6 +5146,7 @@
 	    <widget class="GtkButton" id="button_info_close">
 	      <property name="visible">True</property>
 	      <property name="can_default">True</property>
+	      <property name="has_default">True</property>
 	      <property name="can_focus">True</property>
 	      <property name="label">gtk-close</property>
 	      <property name="use_stock">True</property>

=== modified file 'olive/frontend/gtk/__init__.py'
--- olive/frontend/gtk/__init__.py	2006-08-15 18:59:46 +0000
+++ olive/frontend/gtk/__init__.py	2006-08-15 20:26:53 +0000
@@ -221,6 +221,9 @@
         self.treeview_right = self.toplevel.get_widget('treeview_right')
         # Get some important menu items
         self.menuitem_view_show_hidden_files = self.toplevel.get_widget('menuitem_view_show_hidden_files')
+        self.menuitem_branch_commit = self.toplevel.get_widget('menuitem_branch_commit')
+        self.menuitem_stats_diff = self.toplevel.get_widget('menuitem_stats_diff')
+        self.menuitem_stats_log = self.toplevel.get_widget('menuitem_stats_log')
     
     def set_path(self, path):
         """ Set the current path while browsing the directories. """

=== modified file 'olive/frontend/gtk/menu.py'
--- olive/frontend/gtk/menu.py	2006-08-08 18:32:32 +0000
+++ olive/frontend/gtk/menu.py	2006-08-15 20:26:53 +0000
@@ -31,9 +31,6 @@
 import olive.backend.fileops as fileops
 import olive.backend.errors as errors
 
-from commit import OliveCommit
-from diff import OliveDiff
-
 class OliveMenu:
     """ This class is responsible for building the context menus. """
     def __init__(self, gladefile, comm, dialog):
@@ -59,7 +56,7 @@
                                        'Remove', None,
                                        'Remove the selected file',
                                        self.remove_file),
-                                      ('commit', gtk.STOCK_REDO,
+                                      ('commit', None,
                                        'Commit', None,
                                        'Commit the changes',
                                        self.commit),
@@ -87,6 +84,26 @@
         self.cmenu_right = self.ui.get_widget('/context_right')
         
         self.cmenu_left = self.ui.get_widget('/context_left')
+        
+        # Set icons
+        commit_menu = self.ui.get_widget('/context_right/commit')
+        commit_image = self.comm.menuitem_branch_commit.get_image()
+        commit_pixbuf = commit_image.get_pixbuf()
+        commit_icon = gtk.Image()
+        commit_icon.set_from_pixbuf(commit_pixbuf)
+        commit_menu.set_image(commit_icon)
+        diff_menu = self.ui.get_widget('/context_right/diff')
+        diff_image = self.comm.menuitem_stats_diff.get_image()
+        diff_pixbuf = diff_image.get_pixbuf()
+        diff_icon = gtk.Image()
+        diff_icon.set_from_pixbuf(diff_pixbuf)
+        diff_menu.set_image(diff_icon)
+        log_menu = self.ui.get_widget('/context_right/log')
+        log_image = self.comm.menuitem_stats_log.get_image()
+        log_pixbuf = log_image.get_pixbuf()
+        log_icon = gtk.Image()
+        log_icon.set_from_pixbuf(log_pixbuf)
+        log_menu.set_image(log_icon)
 
     def right_context_menu(self):
         return self.cmenu_right
@@ -101,13 +118,15 @@
         filename = self.comm.get_selected_right()
             
         if filename is None:
-            self.dialog.error_dialog('No file was selected.')
+            self.dialog.error_dialog('No file was selected',
+                                     'Please select a file from the list,\nor choose the other option.')
             return
         
         try:
             fileops.add([directory + '/' + filename])
         except errors.NotBranchError:
-            self.dialog.error_dialog('The directory is not a branch.')
+            self.dialog.error_dialog('Directory is not a branch',
+                                     'You can perform this action only in a branch.')
             return
         except:
             raise
@@ -121,16 +140,19 @@
         filename = self.comm.get_selected_right()
         
         if filename is None:
-            self.dialog.error_dialog('No file was selected.')
+            self.dialog.error_dialog('No file was selected',
+                                     'Please select a file from the list,\nor choose the other option.')
             return
         
         try:
             fileops.remove([directory + '/' + filename])
         except errors.NotBranchError:
-            self.dialog.error_dialog('The directory is not a branch.')
+            self.dialog.error_dialog('Directory is not a branch',
+                                     'You can perform this action only in a branch.')
             return
         except errors.NotVersionedError:
-            self.dialog.error_dialog('Selected file is not versioned.')
+            self.dialog.error_dialog('File not versioned',
+                                     'The selected file is not versioned.')
             return
         except:
             raise
@@ -139,24 +161,30 @@
 
     def commit(self, action):
         """ Right context menu -> Commit """
-        commit = OliveCommit(self.gladefile, self.comm)
+        from commit import OliveCommit
+        commit = OliveCommit(self.gladefile, self.comm, self.dialog)
         commit.display()
     
     def diff(self, action):
         """ Right context menu -> Diff """
-        diff = OliveDiff(self.gladefile, self.comm)
+        from diff import OliveDiff
+        diff = OliveDiff(self.gladefile, self.comm, self.dialog)
         diff.display()
     
     def log(self, action):
         """ Right context menu -> Log """
-        self.dialog.error_dialog('This feature is not yet implemented.')
+        from log import OliveLog
+        log = OliveLog(self.gladefile, self.comm, self.dialog)
+        log.display()
     
     def bookmark(self, action):
         """ Right context menu -> Bookmark """
         if self.comm.pref.add_bookmark(self.comm.get_path()):
-            self.dialog.info_dialog('Bookmark successfully added.')
+            self.dialog.info_dialog('Bookmark successfully added',
+                                    'The current directory was bookmarked. You can reach\nit by selecting it from the left panel.')
         else:
-            self.dialog.warning_dialog('Location already bookmarked.')
+            self.dialog.warning_dialog('Location already bookmarked'
+                                       'The current directory is already bookmarked.\nSee the left panel for reference.')
         
         self.comm.refresh_left()
 

